<?php

function zen_regions() {
  return array(
       'left' => t('left sidebar'),
       'right' => t('right sidebar'),
       'content_top' => t('content top'),
       'content_bottom' => t('content bottom'),
       'header' => t('header'),
       'footer' => t('footer')
  );
}

function phptemplate_links($links, $delimiter = "\n") {
  
  // move "read more" to the beginning of the array  
  if ($read_more = $links['node_read_more']) {
    $links = array_merge(array('node_read_more' => $readmore), $links);
  }
  
  $output = array();
  $i = 0;
  $count = count($links);

  if (is_array($links)) {
    foreach ($links as $key => $link) { 
      $i++;
      
      // Automatically add a class to each link and convert all _ to - for XHTML compliance 
      if (isset($link['attributes']) && isset($link['attributes']['class'])) { 
        $link['attributes']['class'] .= ' '. str_replace('_', '-', $key); 
      }
      else { 
        $link['attributes']['class'] = str_replace('_', '-', $key); 
      }
      
      if ($i == 1) {
        $link['attributes']['class'] .= ' first';
        $first = FALSE;
      }
      if ($i == $count) {
        $link['attributes']['class'] .= ' last';
        
      }

      if ($link['href']) { 
        $output[] = '<li'. drupal_attributes($link['attributes']) .'>'. l($link['title'], $link['href'], $link['attributes'], $link['query'], $link['fragment']) .'</li>'; 
      } 
      else if ($link['title']) { 
        //Some links are actually not links, but we wrap these in <span> for adding title and class attributes 
        $output[] = '<li'. drupal_attributes($link['attributes']) .'><span'. drupal_attributes($link['attributes']) .'><'. check_plain($link['title']) .'</span></li>'; 
      } 
    } 
  }
  
  $empty = empty($output);
  
  return $empty ? '' : '<ul>'. implode($delimiter, $output) .'</ul>';
}

function phptemplate_menu_links($links) {
  if (!count($links)) {
    return '';
  }
  $i = 0;
  $count = count($links);
  $level_tmp = explode('-', key($links));
  $level = $level_tmp[0];
  $output = "<ul class=\"links-$level\">\n";
  foreach ($links as $index => $link) {
    $i++;
    $class = array();
    if ($i == 1){
      $class[] = 'first';
    }
    if ($i == $count) {
      $class[] = 'last';
    }
    if (stristr($index, 'active')) {
      $class[] = 'active';
    }
    $attributes['class'] = implode(' ', $class);
    $output .= '<li'. drupal_attributes($attributes) .'>'. l($link['title'], $link['href'], $link['attributes'], $link['query'], $link['fragment']) ."</li>\n";
  }
  $output .= '</ul>';

  return $output;
}

function phptemplate_feed_icon($url) {
  $icon = path_to_theme(). '/images/silk/feed.png';
  if ($image = theme('image', $icon, t('Syndicate content'), t('Syndicate content'))) {
    return '<div class="feed-icon"><a href="'. check_url($url) .'" class="feed-icon">'. $image. '</a></div>';
  }
} 